Documents
Delete a database row
Delete a row from a live-database document.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
document_id*string
Resource identifier: document_id.
Format
uuidrow_id*string
Resource identifier: row_id.
Length
length <= 64Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/documents/123e4567-e89b-42d3-a456-426614174000/rows/example" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \ -H "Content-Type: application/json" \ -d '{}'{ "document_id": "123e4567-e89b-42d3-a456-426614174000", "content_hash": "3f786850e387550fdab836ed7e6dc881de23001b", "changed": false, "row_id": "example"}